Subject: Re: Workaround for USB DMA bugs

From: Dan Malek <[email-masked]>
Date: Wed, 03 Apr 2002 23:09:04 -0500

David Gibson wrote:

> Oh, right, yes.  That was actually what I was meaning when I said
> "aligned" (sort of aligned at both ends), forgetting that the normal
> meaning only applies to the start address.

I guess if we can ensure a DMA-only pool, simple alignment will work.
You just can't kmalloc() because you don't know what may follow something
that isn't modulo cache line size.  You also have to be careful of code
that allocates a large object, then uses part of it for DMA and other
parts for processor core data.  I'm not sure we want to require kmalloc()
to always cache align due to the potential for wasted memory space.

Thanks.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/